Subject: Re: [PATCH v2 2/8] builtin/refs: get worktrees without reading head info

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Jan 2025 08:16:42 -0800

shejialuo <[email-masked]> writes:

> I want to say that we cannot check the content of the "HEAD" itself. If
> the content of "HEAD" is not correct, we cannot detect the current
> directory as a valid git repository. So, there is no need to say "we
> will check the contents of 'HEAD' else where".

Instead you should say "we detected your HEAD is broken" somewhere
in the documentation for this, and then the end-user should get a
message to telling them about the broken HEAD in such a case,
though.